#include <cstdio>
#include <algorithm>
#include <string>
#include <cassert>

using namespace std;

const string taskId = "roi";
const int nmax = 1000000;
const int inf = (int)1e+9;

int N, K, C;
int v[nmax];

int Remains(int K, int a, int b) {
    return (b == 0) ? C + 1 : (K - a) / b + ((K - a) % b != 0);
}

int main()
{
    if (!taskId.empty()) {
        freopen((taskId + ".in").data(), "rt", stdin);
        freopen((taskId + ".out").data(), "wt", stdout);
    }

    scanf("%d%d%d", &N, &C, &K);
    assert(N >= 1 && N <= nmax && C >= 1 && C <= inf && K >= 1 && K <= inf);
    for (int i = 0; i < N; ++i) {
        int a, b;
        scanf("%d%d", &a, &b);
        assert(a >= 0 && a <= inf && b >= 0 && b <= inf);
        v[i] = (a >= K) ? 0 : Remains(K, a, b);
    }

    sort(v, v + N);
    int ans = 0;
    for (int i = 0; C >= v[i]; ++i) { /// here
        ++ans;
        C -= v[i];
    }
    printf("%d\n", ans);

    return 0;
}
